#
# spec file for package SDL_gfx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDL_gfx
%define lname	libSDL_gfx15
Version:        2.0.25
Release:        0
Summary:        SDL Graphics Routines for Primitives and Other Support Functions
License:        Zlib
Group:          Development/Libraries/X11
Url:            http://cms.ferzkopp.net/index.php/software/13-sdl-gfx

Source:         http://downloads.sf.net/sdlgfx/%name-%version.tar.gz
Source2:        baselibs.conf
BuildRequires:  pkgconfig(sdl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

%package -n %lname
Summary:        SDL Graphics Routines for Primitives and Other Support Functions
Group:          System/Libraries
Provides:       SDL_gfx = %version-%release
Obsoletes:      SDL_gfx < %version-%release

%description -n %lname
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

%package -n libSDL_gfx-devel
Summary:        Libraries, includes and more to develop SDL_gfx applications
Group:          Development/Libraries/X11
Requires:       %lname = %version
Requires:       libSDL-devel
Requires:       pkgconfig
Provides:       SDL_gfx-devel = %{version}
Obsoletes:      SDL_gfx-devel < %{version}

%description -n libSDL_gfx-devel
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces. The current components of the SDL_gfx library are:

- Graphic Primitives (SDL_gfxPrimitves.h)

- Rotozoomer (SDL_rotozoom.h)

- Framerate control (SDL_framerate.h)

- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It is
written in plain C and can be used in C++ code.

%prep
%setup -q

%build
# MMX code has a problem with uninitialized variables; we would only turn it
# on for x86_64 anyway - but that one can use SSE instead.
%configure --disable-static --disable-mmx
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README
%_libdir/libSDL_gfx.so.15*

%files -n libSDL_gfx-devel
%defattr(-,root,root)
%_includedir/SDL/
%_libdir/lib*.so
%_libdir/pkgconfig/SDL_gfx.pc

%changelog
